%define upstream_name    Class-Mix
%define upstream_version 0.006

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Dynamic class mixing
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Params::Classify)
BuildRequires: perl(Test::More)
BuildRequires: perl(constant)
BuildRequires: perl(if)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
The 'mix_class' function provided by this module dynamically generates
`anonymous' classes with specified inheritance.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes META.json META.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.6.0-4.mga8
+ Revision: 1503580
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.6.0-3.mga7
+ Revision: 1282267
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.6.0-2.mga7
+ Revision: 1163377
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 guillomovitch <guillomovitch> 0.6.0-1.mga7
+ Revision: 1159190
- new version 0.006

* Sat Jun 18 2016 pterjan <pterjan> 0.5.0-8.mga6
+ Revision: 1023986
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.5.0-7.mga6
+ Revision: 946466
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.5.0-6.mga5
+ Revision: 749795
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.5.0-5.mga5
+ Revision: 732936
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.5.0-4.mga5
+ Revision: 683933
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.5.0-3.mga4
+ Revision: 510065
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.5.0-2.mga3
+ Revision: 364470
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 05 2011 kharec <kharec> 0.5.0-1.mga2
+ Revision: 163393
- update to 0.005

* Tue Jan 18 2011 jquelin <jquelin> 0.4.0-1.mga1
+ Revision: 23249
- cleaning spec file
- imported package perl-Class-Mix

